Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.lib
Class ServentLista

    java.lang.Object
      estella.lib.Lista
          estella.lib.ServentLista

    public class ServentLista

extends Lista

Gerencia uma lista do tipo Servent Essa classe depende da classe de Servent, no qual gerencia uma Lista de objetos

Since:
  01/12/2005
See Also:
  `Lista`, `Servent`

Field Summary

Fields inherited from class estella.lib.Lista
`CON, LISTA, LOG`

Constructor Summary
`ServentLista()`
`ServentLista(java.util.List LISTA)`

Method Summary
`boolean` | `atualiza(Servent novoServent)` Verifica se existe um host (ip / nome computador) na lista e o atualiza com os novos dados
`boolean` | `atualiza(java.lang.String host, int numArqComp, int tamArqComp, java.lang.String ultVerificacao)` Verifica se existe um host (ip / nome computador) na lista e o atualiza com os novos dados
`boolean` | `atualizaTabelaServents()` Atualiza tabela de servents offline na interface grafica
`boolean` | `atualizaTabelaServentsOnline()` Atualiza tabela de servents online na interface grafica
`boolean` | `envia(java.lang.String msg)` Envia a mensagem para todos da lista
`boolean` | `envia(java.lang.String msg, java.lang.String hostOrigem)` Envia a mensagem para todos da lista menos para o host de origem
`boolean` | `existe(java.lang.String host)` Verifica se existe um host (ip / nome computador) na lista
`boolean` | `fechaConexoes()`
`Servent` | `remove(java.lang.String host, int porta)` Verifica se existe um host (ip / nome computador) na lista

Methods inherited from class estella.lib.Lista
`adiciona, existe, limpa, remove, retorna, tamanho`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServentLista

    public ServentLista()

### ServentLista

    public ServentLista(java.util.List LISTA)

Method Detail

### existe

    public boolean existe(java.lang.String host)

  Verifica se existe um host (ip / nome computador) na lista

  Parameters:
    `host` - a ser verificado
  Returns:
    true ou false

### atualiza

    public boolean atualiza(Servent novoServent)

  Verifica se existe um host (ip / nome computador) na lista e o atualiza com os novos dados

  Parameters:
    `host` - a ser verificado
  Returns:
    true ou false

### atualiza

    public boolean atualiza(java.lang.String host,
                            int numArqComp,
                            int tamArqComp,
                            java.lang.String ultVerificacao)

  Verifica se existe um host (ip / nome computador) na lista e o atualiza com os novos dados

  Parameters:
    `host` - a ser verificado
  Returns:
    true ou false

### remove

    public Servent remove(java.lang.String host,
                          int porta)

  Verifica se existe um host (ip / nome computador) na lista

  Parameters:
    `host` - a ser verificado
  Returns:
    true ou false

### envia

    public boolean envia(java.lang.String msg)

  Envia a mensagem para todos da lista

  Parameters:
    `msg` - String com a mensagem
  Returns:
    true ou false

### envia

    public boolean envia(java.lang.String msg,
                         java.lang.String hostOrigem)

  Envia a mensagem para todos da lista menos para o host de origem

  Parameters:
    `hostOrigem` - string com o host que nao eh pra enviar
    `msg` - String com a mensagem
  Returns:
    true ou false

### fechaConexoes

    public boolean fechaConexoes()

### atualizaTabelaServentsOnline

    public boolean atualizaTabelaServentsOnline()

  Atualiza tabela de servents online na interface grafica

  Returns:
    boolean true ou false

### atualizaTabelaServents

    public boolean atualizaTabelaServents()

  Atualiza tabela de servents offline na interface grafica

  Returns:
    boolean true ou false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD